clc;
clear;
close all;

load('asst2_5230.mat');
t1 = s1(:,1); 
x1 = s1(:,2);
t2 = s2(:,1); 
x2 = s2(:,2);
t3 = s3(:,1);
x3 = s3(:,2);
t4 = s4(:,1);
x4 = s4(:,2);
t5 = s5(:,1); 
x5 = s5(:,2);

t6 = s6(:,1);
x6 = s6(:,2);
y6 = s6(:,3);
t7 = s7(:,1);
x7 = s7(:,2);
y7 = s7(:,3);
t8 = s8(:,1);
x8 = s8(:,2);
y8 = s8(:,3);
t9 = s9(:,1);
x9 = s9(:,2);
y9 = s9(:,3);
t10 = s10(:,1);
x10= s10(:,2);
y10= s10(:,3);

%1
figure(1)
subplot (5,1,1)
plot(t1,x1)
xlabel('time');ylabel('signal');
title('plot for first signal')
subplot (5,1,2)
plot(t2,x2)
xlabel('time');ylabel('signal');
title('plot for second signal')
subplot (5,1,3)
plot(t3,x3)
xlabel('time');ylabel('signal');
title('plot for third signal')
subplot (5,1,4)
plot(t4,x4)
xlabel('time');ylabel('signal');
title('plot for forth signal')
subplot (5,1,5)
plot(t5,x5)
xlabel('time');ylabel('signal');
title('plot for fifth signal')

Au_cor1=xcorr(x1,1,'unbiased');
Au_cor2=xcorr(x2);
Au_cor3=xcorr(x3);
Au_cor4=xcorr(x4);
Au_cor5=xcorr(x5);

Au_cov1=xcov(x1);
Au_cov2=xcov(x2);
Au_cov3=xcov(x3);
Au_cov4=xcov(x4);
Au_cov5=xcov(x5);


figure(2)
subplot (5,1,1)
plot(Au_cor1)
title('plot for first autocorrelation')
subplot (5,1,2)
plot(Au_cor2)
title('plot for second autocorrelation')
subplot (5,1,3)
plot(Au_cor3)
title('plot for third autocorrelation')
subplot (5,1,4)
plot(Au_cor4)
title('plot for forth autocorrelation')
subplot (5,1,5)
plot(Au_cor5)
title('plot for fifth autocorrelation')

figure(3)
subplot (5,1,1)
plot(Au_cov1)
title('plot for first auto-covariance')
subplot (5,1,2)
plot(Au_cov2)
title('plot for second auto-covariance')
subplot (5,1,3)
plot(Au_cov3)
title('plot for third auto-covariance')
subplot (5,1,4)
plot(Au_cov4)
title('plot for forth auto-covariance')
subplot (5,1,5)
plot(Au_cov5)
title('plot for fifth auto-covariance')


%% Part 2
figure(4)
subplot(5,2,1)
plot(t6,x6)
title('plot for signal x6')
subplot(5,2,2)
plot(t6,y6)
title('plot for signal y6')
subplot(5,2,3)
plot(t7,x7)
title('plot for signal x7')
subplot(5,2,4)
plot(t7,y7)
title('plot for signal y7')
subplot(5,2,5)
plot(t8,x8)
title('plot for signal x8')
subplot(5,2,6)
plot(t8,y8)
title('plot for signal y8')
subplot(5,2,7)
plot(t9,x9)
title('plot for signal x9')
subplot(5,2,8)
plot(t9,y9)
title('plot for signal y9')
subplot(5,2,9)
plot(t10,x10)
title('plot for signal x10')
subplot(5,2,10)
plot(t10,y10)
title('plot for signal y10')

Au_cor6_coef=corrcoef(x6,y6);
Au_cor7_coef=corrcoef(x7,y7);
Au_cor8_coef=corrcoef(x8,y8);
Au_cor9_coef=corrcoef(x9,y9);
Au_cor10_coef=corrcoef(x10,y10);

Au_crr6_coef=cov(x6,y6)/(std(x6)*std(x6));
Au_crr7_coef=cov(x7,y7)/(std(x7)*std(x7));
Au_crr8_coef=cov(x8,y8)/(std(x8)*std(x8));
Au_crr9_coef=cov(x9,y9)/(std(x9)*std(x9));
Au_crr10_coef=cov(x10,y10)/(std(x10)*std(x10));

figure(5)
subplot (5,1,1)
plot(Au_cor6_coef)
title('plot for sixth auto-correlationcoefficient functions')
subplot (5,1,2)
plot(Au_cor7_coef)
title('plot for seventh auto-correlationcoefficient functions')
subplot (5,1,3)
plot(Au_cor8_coef)
title('plot for eighth auto-correlationcoefficient functions')
subplot (5,1,4)
plot(Au_cor9_coef)
title('plot for nineth auto-correlationcoefficient functions')
subplot (5,1,5)
plot(Au_cor10_coef)
title('plot for tenth auto-correlationcoefficient functions')


figure(6)
subplot (5,1,1)
plot(Au_crr6_coef)
title('plot for sixth cross-correlationcoefficient functions')
subplot (5,1,2)
plot(Au_crr7_coef)
title('plot for seventh cross-correlationcoefficient functions')
subplot (5,1,3)
plot(Au_crr8_coef)
title('plot for eighth cross-correlationcoefficient functions')
subplot (5,1,4)
plot(Au_crr9_coef)
title('plot for nineth cross-correlationcoefficient functions')
subplot (5,1,5)
plot(Au_crr10_coef)
title('plot for tenth cross-correlationcoefficient functions')
